﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MailMergeDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ExampleDataContext exampleDataContext;
        public MainWindow()
        {
            InitializeComponent();

            exampleDataContext = new ExampleDataContext();

            this.DataContext = exampleDataContext;
            this.editor.Document.MailMergeDataSource.ItemsSource = this.exampleDataContext.MailMessageInfos;

            this.editor.DocumentChanged += editor_DocumentChanged;
        }

        void editor_DocumentChanged(object sender, EventArgs e)
        {
            this.editor.Document.MailMergeDataSource.ItemsSource = this.exampleDataContext.MailMessageInfos;
        }
    }

}
